<?php

use Botble\Theme\Supports\ThemeSupport;

app()->booted(function () {

    ThemeSupport::registerGoogleMapsShortcode();
    ThemeSupport::registerYoutubeShortcode();

    if (is_plugin_active('blog')) {
        add_shortcode('home-television-posts', __('Television posts'), __('Television posts'), function () {
            return Theme::partial('short-codes.home-television-posts');
        });
        add_shortcode('home-achievements-posts', __('Achievements posts'), __('Achievements posts'), function () {
            return Theme::partial('short-codes.home-achievements-posts');
        });
        add_shortcode('home-press-posts', __('Press posts'), __('Press posts'), function () {
            return Theme::partial('short-codes.home-press-posts');
        });
        add_shortcode('home-books-posts', __('Book posts'), __('Book posts'), function () {
            return Theme::partial('short-codes.home-books-posts');
        });
        add_shortcode('home-logos-posts', __('logos posts'), __('logos posts'), function () {
            return Theme::partial('short-codes.home-logos-posts');
        });
        add_shortcode('home-testimonials-posts', __('testimonials posts'), __('testimonials posts'), function () {
            return Theme::partial('short-codes.home-testimonials-posts');
        });
        add_shortcode('home-page-slider', __('Home Slider'), __('Home Slider'), function () {
            return Theme::partial('short-codes.home-page-slider');
        });
        add_shortcode('gradient-panel', __('Gradient Panel'), __('Gradient Panel'), function () {
            return Theme::partial('short-codes.gradient-panel');
        });
        add_shortcode('get-in-touch', __('Get in touch'), __('Get in touch'), function () {
            return Theme::partial('short-codes.get-in-touch');
        });
        add_shortcode('complaint-form', __('Complaint'), __('Complaint'), function () {
            return Theme::partial('short-codes.complaint-form');
        });
        add_shortcode('faq-asked', __('FAQ Asked'), __('FAQ Asked'), function () {
            return Theme::partial('short-codes.faq-asked');
        });
        add_shortcode('enquiry-section', __('Enquiry Section'), __('Enquiry Section'), function () {
            return Theme::partial('short-codes.enquiry-section');
        });
        add_shortcode('download-section', __('Download Section'), __('Download Section'), function () {
            return Theme::partial('short-codes.download-section');
        });
        add_shortcode('bank-logos-section', __('Bank Logos'), __('Bank Logos'), function () {
            return Theme::partial('short-codes.bank-logos-section');
        });
        add_shortcode('site-map', __('Site Map'), __('Site Map'), function () {
            return Theme::partial('short-codes.site-map');
        });

        //   newcontactform
        add_shortcode('newcontactform', __('New Contact Form'), __('New Contact Form'), function () {
            return Theme::partial('short-codes.newcontactform');
        });

        add_shortcode('project-three-posts', __('Project posts'), __('Project posts'), function () {
            return Theme::partial('short-codes.project-three-posts');
        });


        add_shortcode('featured-posts', __('Featured posts'), __('Featured posts'), function () {
            return Theme::partial('short-codes.featured-posts');
        });

        add_shortcode('category-posts', __('Category posts'), __('Category posts'), function () {
            return Theme::partial('short-codes.category-posts');
        });

        add_shortcode('featured-posts-slider', __('Featured posts slider'), __('Featured posts slider'), function ($shortcode) {
            $posts = get_featured_posts($shortcode->limit ? (int) $shortcode->limit : 5);

            return Theme::partial('short-codes.featured-posts-slider', compact('posts'));
        });
        add_shortcode('financial-institutions', __('Financial institutions'), __('Financial institutions'), function () {
            return Theme::partial('short-codes.financial-institutions');
        });

        shortcode()->setAdminConfig('featured-posts-slider', function ($attributes, $content) {
            return Theme::partial('short-codes.featured-posts-slider-admin-config', compact('attributes', 'content'));
        });
        add_shortcode('careers', __('Careers'), __('Careers'), function ($shortcode) {
            $jobs = \App\Helpers\Helper::getJobs();

            return Theme::partial('short-codes.careers', compact('jobs'));
        });
    }

    // if (is_plugin_active('gallery')) {
    //     add_shortcode('all-galleries', __('All Galleries'), __('All Galleries'), function () {
    //         return Theme::partial('short-codes.all-galleries');
    //     });
    // }

    // if (is_plugin_active('simple-slider')) {
    //     add_filter(SIMPLE_SLIDER_VIEW_TEMPLATE, function () {
    //         return Theme::getThemeNamespace() . '::partials.short-codes.sliders';
    //     }, 120);
    // }

});
