<?php

// Custom routes
// You can delete this route group if you don't need to add your custom routes.

// Route::group(['namespace' => 'Theme\LaraMag\Http\Controllers', 'middleware' => ['web', 'core']], function () {
//     Route::group(apply_filters(BASE_FILTER_GROUP_PUBLIC_ROUTE, []), function () {

//         // Add your custom route here
//         // Ex: Route::get('hello', 'LaraMagController@getHello');
//     });
// });

Theme::routes();



Route::group(['namespace' => 'Theme\LaraMag\Http\Controllers', 'middleware' => ['web', 'core']], function () {
    Route::group(apply_filters(BASE_FILTER_GROUP_PUBLIC_ROUTE, []), function () {


        Route::post('newsubscribeform', [
            'as' => 'public.newsubscribe.save',
            'uses' => 'LaraMagController@subscribedata'
        ]);

        // Route::post('newcontactform', [
        //     'as' => 'public.newcontact.save',
        //     'uses' => 'LaraMagController@postdata',
        // ]);
        Route::post('/subscribedata', 'LaraMagController@subscribedata')->name('public.subscribedata');
        
        Route::post('/newcontactform', 'LaraMagController@postdata')->name('public.newcontactform');

        Route::post('complaint', [
            'as' => 'public.complaint.save',
            'uses' => 'LaraMagController@complaintdata'
        ]);


        Route::get('/', 'LaraMagController@getIndex')->name('public.index');

        Route::get('sitemap.xml', [
            'as'   => 'public.sitemap',
            'uses' => 'LaraMagController@getSiteMap',
        ]);

        Route::get('{slug?}' . config('core.base.general.public_single_ending_url'), [
            'as'   => 'public.single',
            'uses' => 'LaraMagController@getView',
        ]);
    });
});
