<section class="sub-page">
    <section class="container">
        <section class="primary fleft">
            <section class="block-archive-head">
                <span class="tf"><i class="fa fa-th-list" aria-hidden="true"></i>{{  __('Search result for: ":query"', ['query' => Request::input('q')]) }}</span>
            </section><!-- end .block-archive-head -->

            @if ($posts->count() > 0)
                <section class="archive-pro-wrap">
                    <ul>
                        @foreach($posts as $post)
                            <section class="new-item bsize">
                                <a class="new-item-thumb thumb-full fleft item-thumbnail" href="{{ $post->url }}">
                                    <img src="{{ RvMedia::getImageUrl($post->image) }}" class="attachment-full size-full wp-post-image" alt="{{ $post->name }}">
                                    <div class="thumbnail-hoverlay main-color-1-bg"></div>
                                    <div class="thumbnail-hoverlay-icon"><i class="fa fa-search"></i></div>
                                </a><!-- end .new-item-thumb -->
                                <section class="new-item-info">
                                    <h2 class="new-item-title post1-item-title">
                                        <a href="{{ $post->url  }}">{{ $post->name }}</a>
                                    </h2><!-- end .new-item-title -->
                                    <section class="new-item-date">
                                        <span><i class="fa fa-calendar" aria-hidden="true"></i>{{ $post->created_at->translatedFormat('Y-m-d') }}</span>&nbsp;
                                        <span><i class="fa fa-user-secret" aria-hidden="true"></i>
                                        @if ($post->author->url)
                                            <a href="{{ $post->author->url }}">{{ $post->author->getFullName() }}</a>
                                        @else
                                            {{ $post->author->getFullName() }}
                                        @endif
                                    </span>
                                    </section>
                                    <section class="new-item-des">
                                        {{ $post->description }}
                                    </section><!-- end .new-item-des -->
                                    <section class="new-item-morelink">
                                        <a href="{{ $post->url }}">{{ __('View more') }}<i class="fa fa-angle-right" aria-hidden="true"></i></a>
                                    </section><!-- end .new-item-morelink -->
                                </section><!-- end .new-item-info -->
                                <section class="cboth"></section><!-- end .cboth -->
                            </section><!-- end .new-item -->
                        @endforeach
                    </ul>
                </section><!-- end .archive-pro-wrap -->

                @if ($posts->count() > 0)
                    <section class="pagination">
                        {!! $posts->links() !!}
                    </section><!-- end .pagination -->
                @endif
            @else
                <section class="archive-pro-wrap">
                    <p>{{ __('No posts found!') }}</p>
                </section>
            @endif
        </section><!-- end .primary -->
        <aside class="sidebar fright">
            @if (is_plugin_active('ads'))
                {!! AdsManager::display('top-sidebar', ['class' => 'sidebar-item sidebar-item-ads']) !!}
            @endif
            {!! dynamic_sidebar('primary_sidebar') !!}
            @if (is_plugin_active('ads'))
                {!! AdsManager::display('bottom-sidebar', ['class' => 'sidebar-item sidebar-item-ads']) !!}
            @endif
        </aside><!-- end .sidebar -->
        <section class="cboth"></section><!-- end .cboth -->
    </section><!-- end .container -->
</section>
